using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 出货订单对应的设备
    /// </summary>
    [SugarTable("YB_OutProductDev", TableDescription = "出货订单对应的设备", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_OutProductDev
    {
        /// <summary>
        /// 出货订单ID
        /// </summary>
        [SugarColumn(ColumnDescription = "出货订单ID")]
        public System.Int32 OrderId { get; set; }

        /// <summary>
        /// 设备id
        /// </summary>
        [SugarColumn(ColumnDescription = "设备id")]
        public System.Int32 DeviceId { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(ColumnDescription = "设备编号", ColumnDataType ="varchar(50)")]
        public System.String DeviceCode { get; set; }
    }
}
